#ifndef sd_h
    #define sd_h


/* Defintionen der GPIO Pins

    SDO  = GPIP1        Output: Serial Data Out
    SDI  = GPIP2        Input: Serial Data In
    SCLK = GPIP3        Output: Master Clock
    SS   = GPIP4        Output: Slave Select
    WAIT = GPIP5        Input: Wait vom Slave
*/

// Bit Positionen im MK3801
#define  SDO    0x02
#define  SDI    0x04
#define  SCLK   0x08
#define  SS     0x10        // Low Aktiv
#define  WAIT   0x20        // HIGH Aktiv

#define PAUSE   20          // Taktpause

#define MAX_DESCR_SIZE      32

extern void init_spi();
extern uint8_t spi_transmit(uint8_t);
char sd_save_prog(char*, char*);
extern void sd_select(uint8_t);

 #endif
